<app-container>
    <h1>Catalogue Detail</h1>
    <!-- If theres a pokemon object: render -->
    <ng-container *ngIf="pokemon">
        <app-component-profile-header [pokemon]="pokemon"></app-component-profile-header>
    </ng-container>
</app-container>